summaryrefslogtreecommitdiff
path: root/tests/lavfi-regression.sh
diff options
context:
space:
mode:
authorNicolas George <nicolas.george@normalesup.org>2012-02-25 12:54:52 +0100
committerNicolas George <nicolas.george@normalesup.org>2012-02-27 14:45:13 +0100
commit47bd0bc461ee2a9ca833bc1862f3dd4641751426 (patch)
tree9688f972def5ce94515b925bc02be6bcd4318070 /tests/lavfi-regression.sh
parent574dcb5baf26c7cce755b51e445ca7109f0f1260 (diff)
fate: add tests for testsrc.
This test uses the lavfi device and is ready for more similar tests.
Diffstat (limited to 'tests/lavfi-regression.sh')
-rwxr-xr-xtests/lavfi-regression.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/tests/lavfi-regression.sh b/tests/lavfi-regression.sh
index 74e53739ca..84fb757439 100755
--- a/tests/lavfi-regression.sh
+++ b/tests/lavfi-regression.sh
@@ -76,6 +76,18 @@ if [ -n "$do_pixdesc" ]; then
done
fi
+do_lavfi_lavd() {
+ label=$1
+ graph=$2
+ shift 2
+ [ $test = $label ] || return 0
+ printf '%-20s' $label
+ run_avconv $DEC_OPTS -f lavfi -i $graph \
+ $ENC_OPTS -vcodec rawvideo $* -f nut md5:
+}
+
+do_lavfi_lavd "testsrc" "testsrc=r=7:n=2:d=10"
+
# TODO: add tests for
# direct rendering,
# chains with feedback loops